# Explore Item

The Explore Item API provides a way to discover and explore items in the CDP based on different criteria. This guide outlines the usage, parameters, and response structure for exploring items.

<mark style="color:green;">`POST`</mark> `https://api.ants.tech/access/api/item/:bo_id/explore`

#### Headers

| Name                                            | Type   | Description             |
| ----------------------------------------------- | ------ | ----------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer `<ACCESS_TOKEN>` |

#### Request Body

| Name                                      | Type   | Description                                                                                                                                         |
| ----------------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------- |
| page<mark style="color:red;">\*</mark>    | Number | The page number of results to retrieve. Each page typically contains a fixed number of items. For example, `10`                                     |
| limit<mark style="color:red;">\*</mark>   | Number | Allows you to control the number of results returned in a response. For example, `100`                                                              |
| sort<mark style="color:red;">\*</mark>    | String | Specify the sorting criteria for the list of items. Available options might include sorting by name, date added, or popularity.                     |
| az<mark style="color:red;">\*</mark>      | String | Include this parameter to sort the list of items in ascending order. If not provided, the default sorting may apply.                                |
| columns<mark style="color:red;">\*</mark> | String | Specify the column by which the list of items should be sorted. For example, `"id","name","code_status",...`                                        |
| filters<mark style="color:red;">\*</mark> | String | Apply filters to narrow down the list of items based on specific criteria. For example, you could filter by category, price range, or availability. |

{% tabs %}
{% tab title="200: OK The request is successful, the server responds with a list of items that match the exploration criteria." %}

```json
{
    "code": 200,
    "message": "Success",
    "data": {
        "entries": [
            {
                "id": {
                    "value": "VIP_61"
                },
                "name": {
                    "value": "VIP_61"
                },
                "code_status": {
                    "value": 3
                },
                "story_id": {
                    "value": "115287"
                },
                "allocated_audience": {
                    "value": "1134766472"
                },
                "pool_id": {
                    "value": 256288
                },
                "variant_id": {
                    "value": "115291"
                },
                "campaign_id": {
                    "value": "115288"
                },
                "serial": {
                    "value": null
                },
                "material": {
                    "value": null
                },
                "ecode_amount": {
                    "value": null
                },
                "mkt_campaign_name": {
                    "value": null
                },
                "ecode_discount_text": {
                    "value": null
                },
                "transaction_code": {
                    "value": null
                },
                "audience_type": {
                    "value": -1007
                },
                "date_created": {
                    "value": "2021-11-11 11:40:31"
                },
                "allocated_time": {
                    "value": "2023-08-24 14:43:06"
                },
                "last_used_source": {
                    "value": null
                },
                "is_deleted": {
                    "value": false
                },
                "pin_cgv_220211": {
                    "value": null
                },
                "partner_custom": {
                    "value": null
                },
                "last_updated": {
                    "value": "2023-08-24 14:48:15"
                },
                "channel_id": {
                    "value": 8
                }
            }
        ],
        "meta": {
            "total": 1
        }
    },
    "codeMessage": null,
    "duration": "0.564 ms"
}    
```

{% endtab %}
{% endtabs %}
